Get withdrawal
Returns one merchant withdrawal by UUID.
curl -X GET "https://api.example.com/v1/api/v1/withdrawals/123e4567-e89b-12d3-a456-426614174000" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.example.com/v1/api/v1/withdrawals/123e4567-e89b-12d3-a456-426614174000"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.example.com/v1/api/v1/withdrawals/123e4567-e89b-12d3-a456-426614174000", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.example.com/v1/api/v1/withdrawals/123e4567-e89b-12d3-a456-426614174000", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.example.com/v1/api/v1/withdrawals/123e4567-e89b-12d3-a456-426614174000')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"data": {
"address": "TXqZ5nM3YwK8vR2pL7dFcJ6hG9bE4sA1uN",
"amount": "150.00",
"amount_to_receive": "149.00",
"created_at": "2026-02-26T14:30:00+00:00",
"external_tx_id": "a1b2c3d4e5f6...",
"network_fee": "1.00",
"processed_at": "2026-02-26T14:35:00+00:00",
"status": "completed",
"updated_at": "2026-02-26T14:35:00+00:00",
"withdraw_uuid": "b3f1a2c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"withdrawal_method_id": 1
},
"successful": true
}
{
"successful": false,
"request_id": "a1b2c3d4-...",
"error": {
"code": "API_KEY_MISSING",
"message": "Missing X-Api-Key header"
}
}
{
"successful": false,
"request_id": "a1b2c3d4-...",
"error": {
"code": "API_KEY_INVALID",
"message": "Invalid or inactive API key"
}
}
{
"successful": false,
"request_id": "a1b2c3d4-...",
"error": {
"code": "OWNER_BLOCKED",
"message": "Merchant owner is blocked"
}
}
{
"successful": false,
"request_id": "a1b2c3d4-...",
"error": {
"code": "MERCHANT_BLOCKED",
"message": "Merchant is banned"
}
}
{
"successful": false,
"request_id": "a1b2c3d4-...",
"error": {
"code": "MERCHANT_NOT_ACTIVE",
"message": "Merchant is inactive"
}
}
{
"successful": false,
"request_id": "a1b2c3d4-...",
"error": {
"code": "WITHDRAWAL_NOT_FOUND",
"message": "Withdrawal not found"
}
}
{
"error": "Unprocessable Entity",
"message": "The request was well-formed but contains semantic errors",
"code": 422,
"details": [
{
"field": "password",
"message": "Password must be at least 8 characters long"
}
]
}
GET
/api/v1/withdrawals/{withdraw_uuid}GET
Base URLstring
Target server for requests. Edit to use your own host.
path
withdraw_uuidstring
RequiredWithdrawal UUID
Format: uuid
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-Api-Keystring
RequiredAPI Key for authentication. Merchant API Key.
Path Parameters
withdraw_uuidstring
RequiredWithdrawal UUID
Responses
successfulboolean
Whether the request was successful
dataobject
RequiredWas this page helpful?